Bug 1656714 - [iproute] [xfrm] protocol family is abnormal
Summary: [iproute] [xfrm] protocol family is abnormal
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iproute
Version: 7.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Andrea Claudi
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1656717
TreeView+ depends on / blocked
 
Reported: 2018-12-06 07:10 UTC by xmu
Modified: 2019-12-06 09:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1656717 (view as bug list)
Environment:
Last Closed: 2019-12-06 09:44:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Phil Sutter 2019-05-23 16:39:59 UTC
Problem should be fixed by this upstream commit:

commit cd21ae40130b4d1ddb3ef500800840e35e7bfad1
Author: Phil Sutter <phil@nwl.cc>
Date:   Mon May 6 19:09:56 2019 +0200

    ip-xfrm: Respect family in deleteall and list commands
    
    Allow to limit 'ip xfrm {state|policy} list' output to a certain address
    family and to delete all states/policies by family.
    
    Although preferred_family was already set in filters, the filter
    function ignored it. To enable filtering despite the lack of other
    selectors, filter.use has to be set if family is not AF_UNSPEC.
    
    Signed-off-by: Phil Sutter <phil@nwl.cc>
    Signed-off-by: Stephen Hemminger <stephen@networkplumber.org>

Note that instead of 'flush' one has to use 'deleteall' command.

Comment 2 Andrea Claudi 2019-06-06 14:02:08 UTC
Since this issue is not critical, I'm moving it to RHEL-7.8.

Comment 3 Andrea Claudi 2019-12-05 16:42:09 UTC
Hi, this is fixed in rhel-8, is there a customer request for this to be in rhel-7?
If not I would like to CLOSE/WONTFIX this and direct users to use rhel-8 instead. Let me know what you think.

Comment 4 xmu 2019-12-06 01:55:29 UTC
Andrea, 
 No customer request, it was found when I did qa test.
 I agree with you to WONTFIX it.
 Thanks
Xiumei

Comment 5 Andrea Claudi 2019-12-06 09:44:15 UTC
Thanks Xiumei, closing according to the comments above.


Note You need to log in before you can comment on or make changes to this bug.